| Flutter Linux Embedder |

Public Member Functions | List of all members
flutter::ByteStreamWriter Class Referenceabstract

`#include <byte_streams.h>`

Inheritance diagram for flutter::ByteStreamWriter:

## Public Member Functions
| ByteStreamWriter ()=default
virtual | ~ByteStreamWriter ()=default
virtual void | WriteByte (uint8_t byte)=0
virtual void | WriteBytes (const uint8_t *bytes, size_t length)=0
virtual void | WriteAlignment (uint8_t alignment)=0
void | WriteInt32 (int32_t value)
void | WriteInt64 (int64_t value)
void | WriteDouble (double value)

## Detailed Description

Definition at line 52 of file byte_streams.h.

## Constructor & Destructor Documentation

## ◆ ByteStreamWriter()

flutter::ByteStreamWriter::ByteStreamWriter | ( |  | ) |
| explicitdefault

## ◆ ~ByteStreamWriter()

virtual flutter::ByteStreamWriter::~ByteStreamWriter | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ WriteAlignment()

virtual void flutter::ByteStreamWriter::WriteAlignment | ( | uint8_t | alignment | ) |
| pure virtual

Implemented in flutter::ByteBufferStreamWriter.

Referenced by flutter::StandardCodecSerializer::WriteValue().

## ◆ WriteByte()

virtual void flutter::ByteStreamWriter::WriteByte | ( | uint8_t | byte | ) |
| pure virtual

Implemented in flutter::ByteBufferStreamWriter.

Referenced by flutter::StandardCodecSerializer::WriteSize(), and flutter::StandardCodecSerializer::WriteValue().

## ◆ WriteBytes()

virtual void flutter::ByteStreamWriter::WriteBytes | ( | const uint8_t * | bytes,
|  | size_t | length
| ) |  |
| pure virtual

Implemented in flutter::ByteBufferStreamWriter.

Referenced by WriteDouble(), WriteInt32(), WriteInt64(), flutter::StandardCodecSerializer::WriteSize(), and flutter::StandardCodecSerializer::WriteValue().

## ◆ WriteDouble()

void flutter::ByteStreamWriter::WriteDouble | ( | double | value | ) |
| inline

Definition at line 78 of file byte_streams.h.

78 {
79 WriteBytes(reinterpret_cast<const uint8_t*>(&value), 8);
80 }

References value, and WriteBytes().

Referenced by flutter::StandardCodecSerializer::WriteValue().

## ◆ WriteInt32()

void flutter::ByteStreamWriter::WriteInt32 | ( | int32_t | value | ) |
| inline

Definition at line 68 of file byte_streams.h.

68 {
69 WriteBytes(reinterpret_cast<const uint8_t*>(&value), 4);
70 }

References value, and WriteBytes().

Referenced by flutter::StandardCodecSerializer::WriteValue().

## ◆ WriteInt64()

void flutter::ByteStreamWriter::WriteInt64 | ( | int64_t | value | ) |
| inline

Definition at line 73 of file byte_streams.h.

73 {
74 WriteBytes(reinterpret_cast<const uint8_t*>(&value), 8);
75 }

References value, and WriteBytes().

Referenced by flutter::StandardCodecSerializer::WriteValue().

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/byte_streams.h

flutter::ByteStreamWriter::WriteBytes
virtual void WriteBytes(const uint8_t *bytes, size_t length)=0
value
uint8_t value
Definition: fl_standard_message_codec.cc:36